// ##########################################################################       
// ####                                                                  ####
// ####                  Publikations-Manager Komponenten                ####
// ####                ====================================              ####
// ####                                                                  ####
// #### KernTest5.java                                                   ####
// ####                                                                  ####
// #### Version 1.00, 19. Dezember 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                            http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


import java.io.*;
import java.sql.*;

import DatenbankKern;
import Liste;
import StringDaten;
import IntegerDaten;


// Test-Klasse
class KernTest5
{
   public static void main(String args[]) {
      try {
         // ****** Singleton-Pattern: Datenbank-Kern laden ***************
         System.out.println("Lade Kern...");
         Class.forName("DatenbankKern");
         System.out.println("Kern geladen!");
         DatenbankKern kern = DatenbankKern.getInstance();
         
         // ****** Tests **************************************************

         System.out.println("\n*** Status-Typen ****************************\n");
         kern.HoleStatusTypen().Ausgabe();

         System.out.println("\n*** Publikations-Typen **********************\n");
         StringListeDaten publTypen = kern.HolePublTypen();
         publTypen.Ausgabe();
         for(int typ = 0;typ < publTypen.Anzahl();typ++) {
            Liste l = kern.HolePublFelder(publTypen.Element(typ));
            System.out.println("\n###### Felder des Publikationstyps " + publTypen.Element(typ) + " ######\n");
            l.Ausgabe();
         }

         System.out.println("\n*** Masken-Typen ***************************\n");
         StringListeDaten maskenTypen = kern.HoleMaskenTypen();
         maskenTypen.Ausgabe();
         System.out.println("");
         for(int maske = 0;maske < maskenTypen.Anzahl();maske++) {
            for(int typ = 0;typ < publTypen.Anzahl();typ++) {
               StringListeDaten l = kern.HoleMaskenFelder(maskenTypen.Element(maske),publTypen.Element(typ));
               l.Ausgabe();               
            }
          }

         System.out.println("\n*** History-Felder ****************\n");
         kern.HoleHistoryFelder().Ausgabe();
         
         System.out.println("\n*** Standard-Zugriffsrechte ****************\n");
         kern.HoleStandardZGR().Ausgabe();
         
         System.out.println("\n*** Instanz-Felder *************************\n");
         kern.HoleInstanzFelder().Ausgabe();
         
         System.out.println("\n*** Person-Felder **************************\n");
         kern.HolePersonFelder().Ausgabe();
                  
         System.out.println("\n*** Standard-Zugriffsrechte ****************\n");
         kern.HoleStandardZGR().Ausgabe();

         System.out.println("\n*** Zugriffsrechte fr Benutzer ID=1000 ****\n");
         kern.HoleZGR(1000).Ausgabe();
         
         // ***************************************************************
         
      } catch(Exception e) {
         System.err.println("ERROR: " + e);
      }
   }  
}
