// ##########################################################################       
// ####                                                                  ####
// ####                  Publikations-Manager Komponenten                ####
// ####                ====================================              ####
// ####                                                                  ####
// #### KernTest.java                                                    ####
// ####                                                                  ####
// #### Version 1.00, 19. Dezember 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                            http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


import java.io.*;
import java.sql.*;

import DatenbankKern;
import Liste;
import StringDaten;
import StringListeDaten;
import IntegerDaten;


// Test-Klasse
class KernTest
{
   public static void main(String args[]) {
      try {
         // ****** Singleton-Pattern: Datenbank-Kern laden ***************
         System.out.println("Lade Kern...");
         Class.forName("DatenbankKern");
         System.out.println("Kern geladen!");
         DatenbankKern kern = DatenbankKern.getInstance();

         
         // ****** Tests **************************************************


         System.out.println("\n*** Publikation suchen ********************\n");
         Liste liste = new Liste();
         liste.Anfuegen(new StringDaten("UNI","Universitt Novosibirsk"));
       //  liste.Anfuegen(new StringDaten("TITEL","Atom%"));
         Liste x = kern.PublSuchen(liste);
         
         System.out.println("*** Ergebnis ********************************");
         x.Ausgabe();

         System.out.println("\n*** Publikation suchen ********************\n");
         Liste liste2 = new Liste();
         StringListeDaten ausschluss = new StringListeDaten("AUSSCHLUSS");
         liste2.Anfuegen(new StringDaten("UNI","Universitt Irkutsk"));
       //  liste2.Anfuegen(new StringDaten("TITEL","Atom%"));
         ausschluss.Anfuegen("TECHREP");      
         Liste y = kern.PublSuchenNeu(liste2,ausschluss);
         
         System.out.println("*** Ergebnis ********************************");
         y.Ausgabe();
         System.out.println("Diese Liste mu *leer* sein!!!");
         
         // ***************************************************************         
      } catch(Exception e) {
         System.err.println("FEHLER: " + e);
      }
   }  
}