// ##########################################################################       
// ####                                                                  ####
// ####                  Publikations-Manager Komponenten                ####
// ####                ====================================              ####
// ####                                                                  ####
// #### KernTest4.java                                                   ####
// ####                                                                  ####
// #### Version 1.00, 19. Dezember 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                            http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


import java.io.*;
import java.sql.*;

import DatenbankKern;
import Liste;
import StringDaten;
import IntegerDaten;


// Test-Klasse
class KernTest4
{
   public static void main(String args[]) {
      try {
         // ****** Singleton-Pattern: Datenbank-Kern laden ***************
         System.out.println("Lade Kern...");
         Class.forName("DatenbankKern");
         System.out.println("Kern geladen!");
         DatenbankKern kern = DatenbankKern.getInstance();

         
         // ****** Tests **************************************************


         System.out.println("\n*** History hinzufgen ********************\n");        
         Liste h = new Liste();
         h.Anfuegen(new StringDaten("INV_NR","Inv0001"));
         h.Anfuegen(new StringDaten("STATUS","AUSGELIEHEM"));        
         h.Anfuegen(new IntegerDaten("PERSON_ID",1000));   
         h.Anfuegen(new StringDaten("ZEITPUNKT","$NOW()"));
         kern.HistoryHinzufuegen(h);     
         
         System.out.println("\n*** History suchen ************************\n");
         Liste h2 = kern.HistorySuchen("Inv0001");
         System.out.println("*** Ergebnis ********************************");         
         h2.Ausgabe();

         
         // ***************************************************************         
      } catch(Exception e) {
         System.err.println("FEHLER: " + e);
      }
   }  
}