// ##########################################################################       
// ####                                                                  ####
// ####                  Publikations-Manager Komponenten                ####
// ####                ====================================              ####
// ####                                                                  ####
// #### MailClientTest.java                                              ####
// ####                                                                  ####
// #### Version 1.00, 19. Dezember 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                            http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


import java.io.*;
import java.net.*;
import MailClient;


// ****** Test fr SMTP Mail-Client-Klasse *******************************
class MailClientTest
{
   public static void main(String args[]) {
      try {
         // Verbindung aufbauen
         MailClient smtp = new MailClient("localhost",25);
         System.out.println("Verbunden!");
         
         // Hello-Befehl senden
         if(!smtp.Hello("test.ir")) {
            System.err.println("FEHLER: Fehler bei Hello-Befehl!");
            System.exit(0);
         }
         
         // Absender senden
         if(!smtp.MailFrom("test-user@test.domain.mil")) {
            System.err.println("FEHLER: SMTP-Server akzeptiert diesen Absender nicht!");
            System.err.println("=> " + smtp.LetzteAntwort());
            System.exit(0);                                 
         }

         // Empfnger senden         
         if(!smtp.RcptTo("lupo@localhost")) {
            System.err.println("FEHLER: SMTP-Server akzeptiert diesen Empfnger nicht!");
            System.err.println("=> " + smtp.LetzteAntwort());
            System.exit(0);                                 
         }

         // Nachricht senden         
         if(!smtp.Data("Test #1\nTest #2\nTest #3\nTest #4\n1234567890")) {
            System.err.println("FEHLER: SMTP-Server akzeptiert Nachricht nicht!");
            System.err.println("=> " + smtp.LetzteAntwort());
            System.exit(0);                                   
         }
         
         smtp.Quit();                                    
         System.out.println("Mail gesendet, Verbindung beendet.");         
      } catch(Exception e) {
         System.err.println("FEHLER: " + e);
      }
   }
}
