// ##########################################################################
// ####                                                                  ####
// ####                  Publikations-Manager Komponenten                ####
// ####                ====================================              ####
// ####                                                                  ####
// #### StringListeDaten.java                                            ####
// ####                                                                  ####
// #### Version 1.00, 19. Dezember 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                            http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


import java.io.*;
import java.util.*;


// ****** StringDaten ****************************************************
public class StringListeDaten implements Datenobjekt
{
   private String beschreibung;
   private Vector daten;
   private int    aktuell;


   // ###### Konstruktor #################################################   
   public StringListeDaten(String nBeschreibung) {
      beschreibung = nBeschreibung;
      daten        = new Vector();
      aktuell      = 0;
   }

   
   // ###### Vergleich mit anderem StringDaten-Objekt ####################
   public boolean equals(StringListeDaten vergleich) {
      if(daten.size() == vergleich.daten.size()) {
         for(int i = 0;i < daten.size();i++) {
            if(!vergleich.IstVorhanden((String)daten.elementAt(i)))
               return(false);
         }
         return(true);
      }
      return(false);      
   }

   
   // ###### Eingabetyp als String zurckgeben ###########################
   public String EingabeTyp() {
      return("STRINGLISTE");
   }

   
   // ###### Beschreibung zurckgeben ####################################
   public String Beschreibung() {
      return(beschreibung);
   }


   // ###### Inhalt zurckgeben ##########################################
   public String Inhalt() {
      return("");
   }


   // ###### Inhalt zurckgeben ##########################################
   public int InhaltInteger() {
      return(0);
   }


   // ###### Inhalt ndern ###############################################
   public void Aendern(String neu) {
   }


   // ###### Inhalt ndern ###############################################
   public void AendernInteger(int neu) {
   }
               
   
   // ###### Ausgabe #####################################################
   public void Ausgabe() {
      System.out.println(toString());
   }


   // ###### Umwandlung in String ########################################
   public String toString() {
      String s = beschreibung + " =\n";
      for(int i = 0;i < daten.size();i++) {
         s = s + "   " + (String)daten.elementAt(i) + "\n";
      }
      return(s);
   }                                 

   
   // ###### String "neu" vor String "vor" einfgen ######################
   public void Einfuegen(String neu, String vor) throws NoSuchElementException {
      int index = daten.indexOf(vor);
      if(index == -1) throw new NoSuchElementException();
      daten.insertElementAt(neu,index);
   }

   
   // ###### String "neu" anfgen ########################################   
   public void Anfuegen(String neu) {
      daten.addElement(neu);
   }

   
   // ###### String "alt" lschen ########################################
   public void Loeschen(String alt) throws NoSuchElementException {
      int index = daten.indexOf(alt);
      if(index == -1) throw new NoSuchElementException();      
      daten.removeElementAt(index);
      aktuell = 0;
   }

   
   // ###### String "alt" in "neu" ndern ################################
   public void Aendern(String alt, String neu) throws NoSuchElementException {
      int index = daten.indexOf(alt);
      if(index == -1) throw new NoSuchElementException();      
      daten.setElementAt(neu,daten.indexOf(alt));
   }


   // ###### Vorhandensein eines Elementes berprfen ####################
   public boolean IstVorhanden(String name) {
      for(int i = 0;i < Anzahl();i++) {
         if(name.equals(Element(i))) return(true);
      }
      return(false);
   }

   
   // ###### Erstes Element zurckliefern ################################
   public String ErstesElement() throws NoSuchElementException {
      aktuell = 0;
      return((String)daten.firstElement());
   }


   // ###### Nchstes Element zurckliefern ##############################
   public String NaechstesElement() throws NoSuchElementException {
      aktuell++;
      return((String)daten.elementAt(aktuell));
   }

   
   // ###### Anzahl der Elemente in der Liste ############################
   public int Anzahl() {
      return(daten.size());
   }

   
   // ###### String an Position i zurckliefern ###########################
   public String Element(int i) throws ArrayIndexOutOfBoundsException {
      return((String)daten.elementAt(i));
   }
}
