// ##########################################################################       
// ####                                                                  ####
// ####                  Publikations-Manager Komponenten                ####
// ####                ====================================              ####
// ####                                                                  ####
// #### KernTest2.java                                                   ####
// ####                                                                  ####
// #### Version 1.00, 19. Dezember 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                            http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


import java.io.*;
import java.sql.*;

import DatenbankKern;
import Liste;
import StringDaten;
import IntegerDaten;


// Test-Klasse
class KernTest2
{
   public static void main(String args[]) {
      try {
         // ****** Singleton-Pattern: Datenbank-Kern laden ***************
         System.out.println("Lade Kern...");
         Class.forName("DatenbankKern");
         System.out.println("Kern geladen!");
         DatenbankKern kern = DatenbankKern.getInstance();

         
         // ****** Tests **************************************************


         System.out.println("\n*** Person suchen *************************\n");
         Liste liste = new Liste();
         liste.Anfuegen(new StringDaten("NAME","M%"));
         Liste x = kern.PersonSuchen(liste);
         System.out.println("*** Ergebnis *******************************");
         x.Ausgabe();

         
         System.out.println("\n*** Person ndern *************************\n");         
         Liste l2 = new Liste();
         l2.Anfuegen(new StringDaten("NAME","----TEST----"));
         l2.Anfuegen(new StringDaten("VORNAME","----TEST----"));
         l2.Anfuegen(new StringDaten("TELEFON","----TEST----"));
         l2.Anfuegen(new StringDaten("EMAIL","----TEST----"));
         l2.Anfuegen(new StringDaten("PASSWORT","geheim"));
         l2.Anfuegen(new StringDaten("RAUM","007"));
         l2.Anfuegen(new IntegerDaten("PERSON_ID",10007));
         l2.Anfuegen(new StringDaten("TELEFAX","----TEST----"));
         kern.PersonAendern(1001,l2);
         
         System.out.println("\n*** Person hinzufgen *********************\n");
         l2 = new Liste();
         l2.Anfuegen(new StringDaten("NAME","----TEST2----"));
         l2.Anfuegen(new StringDaten("VORNAME","----TEST2----"));
         l2.Anfuegen(new StringDaten("TELEFON","----TEST2----"));
         l2.Anfuegen(new StringDaten("EMAIL","----TEST2----"));
         l2.Anfuegen(new StringDaten("PASSWORT","geheim"));
         l2.Anfuegen(new StringDaten("RAUM","R1007"));
         l2.Anfuegen(new IntegerDaten("PERSON_ID",5555));
         l2.Anfuegen(new StringDaten("TELEFAX","----TEST2----"));
         kern.PersonHinzufuegen(l2);
         kern.SetzeZGR(5555,"SUCHEN");
         kern.SetzeZGR(5555,"PUBL_HINZUFUEGEN");
                 
         System.out.println("\n*** Publikation lschen ********************\n");
         kern.PersonLoeschen(1003);
         
         
         // ***************************************************************         
      } catch(Exception e) {
         System.err.println("FEHLER: " + e);
      }
   }  
}