// ##########################################################################
// ####                                                                  ####
// ####                        Testdaten-Generator                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Bag Template                                                     ####
// ####                                                                  ####
// #### Version 1.00, December 18, 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


#ifndef BAG_H
#define BAG_H


#include "system.h"


template<class T> struct BagNode
{
   BagNode<T>* Prev;
   BagNode<T>* Next;
   T            Element;
};


template<class T> class Bag
{
   // ====== Constructor/Destructor =========================================
   public:
   Bag();
   ~Bag();

   // ====== Element add/remove/test functions ==============================
   void addHead(T element);
   void addTail(T element);
   void remove(T element);
   inline void   removeHead();
   inline void   removeTail();
   inline bool   contains(const T& element) const;
   inline card32 getCount() const;
   
   // ====== Bag iteration functions =======================================
   inline bool first(T& element);
   inline bool last(T& element);
   inline bool next(T& element);
   inline bool prev(T& element);

   // ====== Private data ===================================================
   protected:
   BagNode<T>* findNode(const T& element) const;
   void        removeNode(BagNode<T>* node);
   
   card32      Count;
   BagNode<T>  FirstNode;
   BagNode<T>* Pointer;
};


#include "bag.icc"
#include "bag.cc"


#endif
